2015-10-14 34 views
3

所以今天我一直在嘗試使用Swift嘗試一個新項目,但我突然停下來了。我一直在嘗試運行VideoCore示例項目:https://github.com/jgh-/VideoCore/tree/823ec7cac50e5a0b4457bd06dd95a50dca88d9c0/sample/SampleBroadcaster-Swift可可豆莢GLM錯誤

因此,在初始設置期間,我不得不導航到目錄並運行pod installpod install執行時沒有任何錯誤,並說我需要關閉Xcode,然後重新打開我所做的新工作區。當我嘗試去運行應用程序進行調試時(根據文檔,我可以在pod install'之後運行它,我得到一個錯誤,說'type_half.inl' file not found。一些截圖在這裏更好地解釋/顯示:http://d.pr/i/14TqWhttp://d.pr/i/1aYSi

我已經試過莢多次重新安裝了,我一直沒能解決這個問題。有沒有人有這樣的情況,或對如何擺脫這種黑洞的任何想法?

謝謝!

回答

1

這已通過將CocoaPods降級到版本0.38.2得到解決。以下是我所做的: gem install cocoapods -v 0.38.2 gem uninstall cocoapods -v 0.39.0

而且解決了我的問題。